---
updatedAt: 2026-05-20T16:41:51.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Create an Unsigned Transaction

Creates an unsigned transaction for the specified blockchain. The output is raw transaction data ready for signing.


<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `10` (fixed)
</Callout>

***

> 👍 START HERE!
>
> Click **Try It!** to test the endpoint with the default values or customize your request by following these steps:
>
> 1. Enter your API key in the **Header: token** text box (top right).
>    * You can **[get a free API key here](https://docs.blockdaemon.com/docs/quick-start-blockdaemon-api-suite)** .
> 2. Enter the parameters available below.
> 3. Click **Try It!**.

***

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
    width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px;
    overflow-y: scroll;
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff;
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5;
  }
  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34;
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66;
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
      <thead>
        <tr>
          <th>Protocol</th>
          <th>Network</th>
          <th>Path Parameter</th>
        </tr>
      </thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="2">Avalanche</td>
    <td>Mainnet-c</td>
    <td><code class="copyable-code">avalanche-mainnet-c</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet-c</td>
    <td><code class="copyable-code">avalanche-testnet-c</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin-testnet4</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash-testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td>Cosmos</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">cosmos-mainnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="3">Ethereum</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">ethereum-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Sepolia</td>
    <td><code class="copyable-code">ethereum-sepolia</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Hoodi</td>
    <td><code class="copyable-code">ethereum-hoodi</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin-testnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Near</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">near-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">near-testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="4">Polkadot</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polkadot-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Westend</td>
    <td><code class="copyable-code">polkadot-westend</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Assethub Mainnet</td>
    <td><code class="copyable-code">polkadot-assethub-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Assethub Westend</td>
    <td><code class="copyable-code">polkadot-assethub-westend</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Polygon</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polygon-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Amoy</td>
    <td><code class="copyable-code">polygon-amoy</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="3">Solana</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">solana-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">solana-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Devnet</td>
    <td><code class="copyable-code">solana-devnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Stellar</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">stellar-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">stellar-testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Tron</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">tron-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Nile</td>
    <td><code class="copyable-code">tron-nile</code></td>
  </tr>
</tbody>
    </table>
  </div>
</div>

<script>
  function filterTable() {
    const input = document.getElementById('searchProtocolInput').value.toLowerCase();
    const rows = document.querySelectorAll('#protocolTableSearchable tbody tr');
    rows.forEach(row => {
      row.style.display = row.innerText.toLowerCase().includes(input) ? '' : 'none';
    });
  }
</script>

</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Transaction API",
    "version": "1.0.0",
    "description": "Blockdaemon transaction API to create, compile, send and verify transactions for supported blockchains.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/tx/v1",
      "description": "Blockdaemon transaction API"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{blockchain_id}/create": {
      "parameters": [
        {
          "$ref": "#/components/parameters/blockchain_id"
        }
      ],
      "post": {
        "summary": "Create an Unsigned Transaction",
        "description": "Creates an unsigned transaction for the specified blockchain. The output is raw transaction data ready for signing.\n",
        "operationId": "TxCreate",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ApiTxCreateRequest"
              },
              "examples": {
                "evm": {
                  "summary": "(EVM) Utilizing fees and nonce",
                  "value": {
                    "from": "0x035F67C6D401514f58E6b121bc38b161cCABF7B9",
                    "to": "0xcC1d7718ce9C6aae689c95672BFC5341e5a4De77",
                    "value": 2500000000000,
                    "nonce": 1010,
                    "maxFeePerGas": 1000,
                    "maxPriorityFeePerGas": 500
                  }
                },
                "evm_erc20": {
                  "summary": "(EVM) Erc-20 transfer using contract address",
                  "value": {
                    "from": "0x035F67C6D401514f58E6b121bc38b161cCABF7B9",
                    "to": "0xaFF4481D10270F50f203E0763e2597776068CBc5",
                    "value": 0,
                    "maxFeePerGas": 1000,
                    "maxPriorityFeePerGas": 500,
                    "data": "0xa9059cbb000000000000000000000000ecbedcf205b361eb671de51d20657ff55b3389d00000000000000000000000000000000000000000000000000000000001287a70"
                  }
                },
                "btc_mainnet": {
                  "summary": "(Bitcoin) Bitcoin mainnet example",
                  "value": {
                    "from": [
                      {
                        "tx_id": "effd7af88861ccb25714216ba78561a8bf2e93ebe45b2deac37da8f284591b0e",
                        "index": 1
                      }
                    ],
                    "to": [
                      {
                        "destination": "bc1pndths0lnsvem2a0n2c6t49u462xam0n4krjl6kpfwn0nknc0cd7qmnxhf8",
                        "value": 400
                      },
                      {
                        "destination": "bc1p67w73lj44z2m3x8l4ftu3ukcygjm3qyl6esjqcrpf6wn5m35gmns2szzta",
                        "value": 400
                      }
                    ]
                  }
                },
                "btc_testnet": {
                  "summary": "(Bitcoin) Bitcoin testnet example",
                  "value": {
                    "from": [
                      {
                        "tx_id": "3419478ccb58b2683ecd6e250f96973cf9edc771e57189f85173047f4adc6024",
                        "index": 4
                      },
                      {
                        "tx_id": "b6024f22e8ed126d5187a43c57f8bf8238b090129c98253adba05d8859d308dd",
                        "index": 4
                      },
                      {
                        "tx_id": "5a50bbb90725b3e7697b78b33301d79bc3c1353ff1e2020e14faf0132ddc2913",
                        "index": 1
                      }
                    ],
                    "to": [
                      {
                        "destination": "tb1qc4sd2dtjrpta4h4euxtv73wtetupt5gclqpuep",
                        "value": 2000
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "An unsigned transaction",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiTxCreateResponse"
                },
                "example": {
                  "id": "0x0a878b702b7a1c3714ad696a0a173b2ce7248d8be65274f736d8a2afbefdb552",
                  "unsigned_tx": "02f86f0180838dafc985243504640582b59b94dac17f958d2ee523a2206206994597c13d831ec780b844a9059cbb000000000000000000000000ecbedcf205b361eb671de51d20657ff55b3389d00000000000000000000000000000000000000000000000000000000001287a70c0808080"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorBadRequest"
          },
          "401": {
            "$ref": "#/components/responses/ErrorUnauthorized"
          },
          "429": {
            "$ref": "#/components/responses/ErrorTooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ErrorInternal"
          },
          "501": {
            "$ref": "#/components/responses/ErrorNotImplemented"
          },
          "503": {
            "$ref": "#/components/responses/ErrorServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "parameters": {
      "blockchain_id": {
        "name": "blockchain_id",
        "in": "path",
        "required": true,
        "description": "Either a hyphen seperated protocol-network pair like `ethereum-mainnet` or the `chain-id`",
        "schema": {
          "type": "string",
          "default": "ethereum-mainnet"
        }
      }
    },
    "responses": {
      "ErrorTooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "ErrorBadRequest": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "ErrorUnauthorized": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ErrorInternal": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ErrorServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      },
      "ErrorNotImplemented": {
        "description": "The request endpoint is not implemented",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "not-implemented",
              "title": "Not implemented",
              "status": 501
            }
          }
        }
      }
    },
    "schemas": {
      "Value": {
        "description": "A value can either be a decimal string or the lowest unit of the currency as an integer",
        "oneOf": [
          {
            "$ref": "#/components/schemas/IntegerValue"
          },
          {
            "$ref": "#/components/schemas/StringValue"
          }
        ],
        "x-oapi-codegen-extra-tags": {
          "validate": "required"
        },
        "x-go-type": "*value.Value"
      },
      "ValueOptional": {
        "description": "A value can either be a decimal string or the lowest unit of the currency as an integer",
        "oneOf": [
          {
            "$ref": "#/components/schemas/IntegerValue"
          },
          {
            "$ref": "#/components/schemas/StringValue"
          }
        ],
        "x-go-type": "*value.Value",
        "x-go-type-skip-optional-pointer": true
      },
      "IntegerValue": {
        "title": "Integer Value",
        "type": "integer",
        "x-go-type": "*big.Int",
        "description": "Value as an integer in the lowest unit of the currency (for example Wei or Satoshi)",
        "example": 100000
      },
      "StringValue": {
        "title": "String Value",
        "type": "string",
        "description": "Value as a string in human readable format. This is in the highest unit of the currecy (for example Eth or BTC)",
        "example": "0.00001"
      },
      "ApiTxCreateRequest": {
        "anyOf": [
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestEVM"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestStellar"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestSubstrate"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestBTC"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestTron"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestSolana"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestNear"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateRequestCosmos"
          }
        ]
      },
      "ApiTxCreateRequestEVM": {
        "title": "Api Tx Create Request EVM",
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "description": "The account ID for the originating funds.",
            "example": "0x31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "to": {
            "description": "The recipient of the transaction. Required unless call is contract deployment.",
            "type": "string",
            "example": "0x31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca",
            "x-oapi-codegen-extra-tags": {
              "validate": "required_without=Data"
            }
          },
          "value": {
            "$ref": "#/components/schemas/Value"
          },
          "gas": {
            "type": "integer",
            "x-go-type": "big.Int",
            "description": "Gas of transaction. If omitted, the gas will be estimated using eth_estimateGas."
          },
          "maxPriorityFeePerGas": {
            "type": "integer",
            "x-go-type": "big.Int",
            "description": "The max priority fee per gas. Also referred to as the miner tip. When omitted an estimate will be used."
          },
          "maxFeePerGas": {
            "type": "integer",
            "x-go-type": "big.Int",
            "description": "The max fee per gas, this includes the base fee and max priority fee per gas. When omitted an estimate will be used."
          },
          "nonce": {
            "type": "integer",
            "x-go-type": "big.Int",
            "description": "The account Nonce.",
            "example": 5
          },
          "data": {
            "description": "A hex string specifying the input data of the message call",
            "type": "string",
            "example": "0xa9059cbb000000000000000000000000e6026f60efc3d0e714f1b89c596aa484ffbd25c800000000000000000000000000000000000000000303b6ae12d00504a8ed8000"
          }
        },
        "required": [
          "value",
          "from"
        ]
      },
      "ApiTxCreateRequestTron": {
        "title": "Api Tx Create Request Tron",
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "description": "The account ID for the originating funds.",
            "example": "TGepTLpYNhURKFxZPqWH4HmvZQsqJKSdj8",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "to": {
            "description": "The recipient of the transaction.",
            "type": "string",
            "example": "0x31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca",
            "x-oapi-codegen-extra-tags": {
              "validate": "required_without=Contract"
            }
          },
          "value": {
            "$ref": "#/components/schemas/ValueOptional"
          },
          "contract": {
            "$ref": "#/components/schemas/ApiTxCreateRequestTronContract"
          },
          "expiration_seconds": {
            "type": "integer",
            "x-go-type": "int64",
            "description": "Time in seconds the transaction will expire after creation. (Default 30 minutes)"
          }
        },
        "required": [
          "from",
          "value"
        ]
      },
      "ApiTxCreateRequestTronContract": {
        "title": "Api Tx Create Request Tron Contract",
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            },
            "x-go-type-skip-optional-pointer": true
          },
          "parameter": {
            "type": "string",
            "x-oapi-codegen-extra-tags": {
              "validate": "required_without=Data"
            },
            "x-go-type-skip-optional-pointer": true
          },
          "function_selector": {
            "type": "string",
            "x-oapi-codegen-extra-tags": {
              "validate": "required_without=Data"
            },
            "x-go-type-skip-optional-pointer": true
          },
          "data": {
            "type": "string",
            "x-go-type-skip-optional-pointer": true
          },
          "fee_limit": {
            "$ref": "#/components/schemas/ValueOptional"
          }
        }
      },
      "ApiTxCreateRequestStellar": {
        "title": "Api Tx Create Request Stellar",
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "description": "The account ID for the originating funds.",
            "example": "GA5XIGA5C7QTPTWXQHY6MCJRMTRZDOSHR6EFIBNDQTCQHG262N4GGKTM",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "to": {
            "description": "The recipient of the transaction.",
            "type": "string",
            "example": "GA4BYMUO5D7OLGVJWZ2D5FCWU7SB63FNZ4QUU574SMNA6ELK5TZD3SO3",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "value": {
            "$ref": "#/components/schemas/Value"
          },
          "fee": {
            "$ref": "#/components/schemas/ValueOptional"
          },
          "expiration_seconds": {
            "type": "integer",
            "x-go-type": "int64",
            "description": "Time the transaction will expire in seconds. Default is 30 minutes."
          }
        },
        "required": [
          "from",
          "to",
          "value"
        ]
      },
      "ApiTxCreateRequestSubstrate": {
        "title": "Api Tx Create Request Substrate",
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "description": "The account ID for the originating funds.",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "to": {
            "description": "The recipient of the transaction.",
            "type": "string",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "value": {
            "$ref": "#/components/schemas/Value"
          },
          "tip": {
            "type": "integer",
            "x-go-type": "big.Int",
            "description": "The extrinsic tip in planck (optional)"
          },
          "nonce": {
            "type": "integer",
            "x-go-type": "uint64",
            "description": "The account index (nonce). Will be retrieved from chain when omitted."
          },
          "mortal_period": {
            "type": "integer",
            "x-go-type": "uint64"
          }
        },
        "required": [
          "value",
          "from",
          "to"
        ]
      },
      "ApiTxCreateRequestBTC": {
        "title": "Api Tx Create Request BTC",
        "type": "object",
        "properties": {
          "from": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ApiTxSourceBTC"
            },
            "description": "The source UTXOs.",
            "x-oapi-codegen-extra-tags": {
              "validate": "required,dive"
            }
          },
          "to": {
            "description": "The recipient of the transaction.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ApiTxDestinationCreateBTC"
            },
            "x-oapi-codegen-extra-tags": {
              "validate": "required,dive"
            }
          }
        },
        "x-oapi-codegen-extra-tags": {
          "validate": "required,dive"
        },
        "required": [
          "from",
          "to"
        ]
      },
      "ApiTxCreateRequestSolana": {
        "title": "Api Tx Create Request Solana",
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "description": "The account ID for the originating funds.",
            "example": "6CNAHF4gK6FGjJ54QUyxC6ipS4WUdx6erpqNpS8Ar7Nq",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "to": {
            "description": "The recipient of the transaction.",
            "type": "string",
            "example": "2EMBiBdZaP2mdT9WkRSH15X58xcyigSndvQFA6TBA1Aq",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "value": {
            "$ref": "#/components/schemas/Value"
          },
          "nonce_account": {
            "type": "string",
            "description": "The nonce account used for the transfer.",
            "example": "8GRipryfxcsxN8mAGjy8zbFo9ezaUsh47TsPzmZbuytU"
          },
          "fee": {
            "description": "The prioritization fee.",
            "type": "integer",
            "x-go-type": "uint64"
          }
        },
        "required": [
          "from",
          "to",
          "value"
        ]
      },
      "ApiTxCreateRequestNear": {
        "title": "Api Tx Create Request Near",
        "type": "object",
        "properties": {
          "from": {
            "type": "object",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            },
            "properties": {
              "account_id": {
                "description": "The Near account ID.",
                "type": "string",
                "example": "test.near",
                "x-oapi-codegen-extra-tags": {
                  "validate": "required"
                }
              },
              "public_key": {
                "description": "The Near public key.",
                "type": "string",
                "example": "ed25519:2u6cNYepEs2AzUHk1MNyGV8Zqs8nZ9xjxFqZXBFM8tzm",
                "x-oapi-codegen-extra-tags": {
                  "validate": "required"
                }
              }
            },
            "required": [
              "account_id",
              "public_key"
            ]
          },
          "to": {
            "description": "The Near recipient account ID.",
            "type": "string",
            "example": "test.near",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "value": {
            "$ref": "#/components/schemas/Value"
          }
        },
        "required": [
          "from",
          "to",
          "value"
        ]
      },
      "ApiTxCreateRequestCosmos": {
        "title": "Api Tx Create Request Cosmos",
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "description": "The account ID for the originating funds.",
            "example": "cosmos19mkwu6ne284ufqgdqnv4k6cp0qqy9x0742p3d2",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "to": {
            "description": "The recipient of the transaction.",
            "type": "string",
            "example": "cosmos1ext90z9hfm30hdy06mzzglu9qfu32gs33faz9k",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "value": {
            "$ref": "#/components/schemas/Value"
          },
          "gas_limit": {
            "description": "The maximum amount of gas the user is willing to use for the transaction.",
            "type": "integer",
            "x-go-type": "uint64"
          },
          "fee_amount": {
            "description": "The maximum amount in uatom the user is willing to pay in fees.",
            "type": "integer",
            "x-go-type": "uint64"
          },
          "gas_price": {
            "description": "The gas price in uatom the user is willing to pay per unit of gas. This will be used with the gas_used estimate returned from simulating the transaction.",
            "type": "number",
            "x-go-type": "float64"
          },
          "gas_adjustment": {
            "description": "The multiplier used for gas estimates as they are not consistently accurate.",
            "type": "number",
            "x-go-type": "float64"
          },
          "sign_mode": {
            "description": "The sign mode to be used for the transaction. This will be used in the simulated transaction to estimate gas.",
            "type": "integer",
            "x-go-type": "uint32"
          }
        },
        "required": [
          "from",
          "to",
          "value"
        ]
      },
      "ApiTxCreateResponse": {
        "anyOf": [
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseEVM"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseStellar"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseSubstrate"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseBTC"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseTron"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseSolana"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseNear"
          },
          {
            "$ref": "#/components/schemas/ApiTxCreateResponseCosmos"
          }
        ]
      },
      "ApiTxCreateResponseEVM": {
        "title": "Api Tx Create Response EVM",
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The transaction ID.",
            "example": "0x711fbebdf0c7bcf352dbd6fa7064d12e1f0fed5ddb2e562df742252287b1f5b1"
          },
          "unsigned_tx": {
            "type": "string",
            "description": "The unsigned transaction.",
            "example": "02f86f0180834c4b40852096a4848082cde49495ad61b0a150d79219dcf64e1e6cc01f0b64c4ce80b844a9059cbb000000000000000000000000e6026f60efc3d0e714f1b89c596aa484ffbd25c800000000000000000000000000000000000000000303b6ae12d00504a8ed8000c0808080"
          }
        },
        "required": [
          "unsigned_tx"
        ]
      },
      "ApiTxCreateResponseTron": {
        "title": "Api Tx Create Response Tron",
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The transaction ID.",
            "example": "0x711fbebdf0c7bcf352dbd6fa7064d12e1f0fed5ddb2e562df742252287b1f5b1"
          },
          "unsigned_tx": {
            "type": "string",
            "description": "The hex encoded protobuf unsigned transaction.",
            "example": "0a022ba0220887ae7932301801b540a0b2a7a1fc315a66080112620a2d747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e5472616e73666572436f6e747261637412310a1541494e9270255e7cf4d32ed1ceb9af9bf44abd21bd121541242aa579f130bf6fea5eac12aa6b846fb8b293ab18e80770b8f2a3a1fc31"
          }
        },
        "required": [
          "id",
          "unsigned_tx"
        ]
      },
      "ApiTxCreateResponseStellar": {
        "title": "Api Tx Create Response Stellar",
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The transaction ID."
          },
          "unsigned_tx": {
            "type": "string",
            "description": "The base64 encoded tx"
          }
        },
        "required": [
          "id",
          "unsigned_tx"
        ]
      },
      "ApiTxCreateResponseSolana": {
        "title": "Api Tx Create Response Solana",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The base64 encoded unsigned transaction.",
            "example": "5T2JYdFoRsUxsJiB7qJmKTiGt1f9ajusM7LMM99APh6WRYGjSPshuRz6bziWfc6WQGonAmsagxkEd2a6mfmBrFHh"
          },
          "fee": {
            "$ref": "#/components/schemas/Value"
          },
          "recent_block_hash": {
            "type": "string",
            "description": "The recent block hash used in the transaction.",
            "example": "7HNriox5z4ZsbyXRqc7DUq2jCVDeD1XjCzguZaxWccLx"
          }
        },
        "required": [
          "unsigned_tx"
        ]
      },
      "ApiTxCreateResponseCosmos": {
        "title": "Api Tx Create Response Cosmos",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The base64 encoded unsigned transaction.",
            "example": "CpQBCpEBChwvY29zbW9zLmJhbmsudjFiZXRhMS5Nc2dTZW5kEnEKLWNvc21vczE3a3ZhZTJqY2t6cGtjdDc4eWVhbHJlM21zMmd1MjhjZG10d3N2NxItY29zbW9zMWo4cHA3enZjdTl6OHZkODgybTI4NGoyOWZuMmRzemgwNWNxdmY5GhEKBXVhdG9tEggyNjA5NDEwOBJWClIKRgofL2Nvc21vcy5jcnlwdG8uc2VjcDI1NmsxLlB1YktleRIjCiEDisMcdR4qSOfuBBqMfWYHNHvcZ06PEuYSzwwWyid8YjcSBAoCCAEY9YsUEgAaAA=="
          },
          "gas_wanted": {
            "type": "integer",
            "x-go-type": "uint64",
            "description": "The gas limit estimate returned when simulating the transaction."
          },
          "gas_used": {
            "type": "integer",
            "x-go-type": "uint64",
            "description": "The gas estimate returned when simulating the transaction."
          },
          "account_sequence": {
            "type": "integer",
            "x-go-type": "uint64",
            "description": "The account sequence number."
          },
          "account_number": {
            "type": "integer",
            "x-go-type": "uint64",
            "description": "The account number."
          }
        },
        "required": [
          "unsigned_tx"
        ]
      },
      "ApiTxCreateResponseNear": {
        "title": "Api Tx Create Response Near",
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The transaction ID base58 encoded"
          },
          "unsigned_tx": {
            "type": "string",
            "description": "The unsigned transaction base64 encoded"
          }
        },
        "required": [
          "unsigned_tx",
          "id"
        ]
      },
      "ApiTxSourceBTC": {
        "type": "object",
        "properties": {
          "tx_id": {
            "type": "string",
            "description": "UTXO's transaction ID",
            "example": "effd7af88861ccb25714216ba78561a8bf2e93ebe45b2deac37da8f284591b0e",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "index": {
            "type": "integer",
            "format": "uint32",
            "description": "UTXO's index in source transaction",
            "example": 2
          }
        },
        "required": [
          "tx_id",
          "index"
        ]
      },
      "ApiTxDestinationCreateBTC": {
        "description": "The recipient of the transaction.",
        "type": "object",
        "properties": {
          "destination": {
            "type": "string",
            "description": "The destination address.",
            "example": "mkHS9ne12qx9pS9VojpwU5xtRd4T7X7ZUt",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "value": {
            "$ref": "#/components/schemas/Value"
          }
        },
        "required": [
          "destination",
          "value"
        ],
        "example": {
          "destination": "31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca",
          "value": 50
        }
      },
      "ApiTxCreateResponseBTC": {
        "title": "Api Tx Create Response BTC",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The transaction data needed to sign.",
            "example": "e909843b9aca008252089481b7e08f65bdf5648606c89998a9cc81643976478601d1a94a200080808080"
          }
        },
        "required": [
          "unsigned_tx"
        ]
      },
      "ApiTxCreateResponseSubstrate": {
        "title": "Api Tx Create Response Substrate",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The unsigned transaction."
          },
          "signing_payload": {
            "type": "string",
            "description": "The signing payload (hex encoded)"
          }
        },
        "required": [
          "unsigned_tx",
          "signing_payload"
        ]
      },
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      }
    }
  }
}
```